# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Class/DBI.pm) perl-devel perl-pod perl-podlators perldoc
# END SourceDeps(oneline)
Name:           perl-Class-DBI-Plugin-Type
Version:        0.02
Release:        alt1_20
Summary:        Determine type information for columns
Group:          Development/Perl
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Class-DBI-Plugin-Type
Source0:        http://search.cpan.org/CPAN/authors/id/S/SI/SIMON/Class-DBI-Plugin-Type-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:	perl(Class/DBI/Plugin.pm) perl(DBD/SQLite.pm) perl(Test/More.pm)
BuildRequires:	perl(Pod/Perldoc.pm) perl(ExtUtils/MakeMaker.pm)
Requires:  perl(Class/DBI/Plugin.pm)
Source44: import.info

%description
%{summary}.

%prep
%setup -q -n Class-DBI-Plugin-Type-%{version}
perldoc -t perlartistic > Artistic
perldoc -t perlgpl > COPYING

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Artistic COPYING Changes
%{perl_vendor_privlib}/Class/DBI/Plugin/

%changelog
* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1_20
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1_18
- update to new release by fcimport

* Sun May 27 2012 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1_16
- fc import

